org.keycloak.protocol

## Interface LoginProtocol

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    OIDCLoginProtocol, SamlProtocol

      public interface LoginProtocol
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LoginProtocol.Error`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticated(UserSessionModel userSession, ClientSessionCode accessCode)`
    `void` | `backchannelLogout(UserSessionModel userSession, ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `finishLogout(UserSessionModel userSession)`
    `javax.ws.rs.core.Response` | `frontchannelLogout(UserSessionModel userSession, ClientSessionModel clientSession)`
    `boolean` | `requireReauthentication(UserSessionModel userSession, ClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `sendError(ClientSessionModel clientSession, LoginProtocol.Error error)`
    `LoginProtocol` | `setEventBuilder(EventBuilder event)`
    `LoginProtocol` | `setHttpHeaders(javax.ws.rs.core.HttpHeaders headers)`
    `LoginProtocol` | `setRealm(RealmModel realm)`
    `LoginProtocol` | `setSession(KeycloakSession session)`
    `LoginProtocol` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setSession

          LoginProtocol setSession(KeycloakSession session)

    - #### setRealm

          LoginProtocol setRealm(RealmModel realm)

    - #### setUriInfo

          LoginProtocol setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### setHttpHeaders

          LoginProtocol setHttpHeaders(javax.ws.rs.core.HttpHeaders headers)

    - #### setEventBuilder

          LoginProtocol setEventBuilder(EventBuilder event)

    - #### authenticated

          javax.ws.rs.core.Response authenticated(UserSessionModel userSession,
                                                  ClientSessionCode accessCode)

    - #### sendError

          javax.ws.rs.core.Response sendError(ClientSessionModel clientSession,
                                              LoginProtocol.Error error)

    - #### backchannelLogout

          void backchannelLogout(UserSessionModel userSession,
                                 ClientSessionModel clientSession)

    - #### frontchannelLogout

          javax.ws.rs.core.Response frontchannelLogout(UserSessionModel userSession,
                                                       ClientSessionModel clientSession)

    - #### finishLogout

          javax.ws.rs.core.Response finishLogout(UserSessionModel userSession)

    - #### requireReauthentication

          boolean requireReauthentication(UserSessionModel userSession,
                                          ClientSessionModel clientSession)

      Parameters:
        `userSession` -
        `clientSession` -
      Returns:
        true if SSO cookie authentication can't be used. User will need to "actively" reauthenticate

Copyright © 2016 JBoss by Red Hat. All rights reserved.